Bug 199617

Summary: [GStreamer] Skip http/tests/media/hls/hls-video-resize.html
Product: WebKit Reporter: Charlie Turner <cturner>
Component: WebKitGTKAssignee: Charlie Turner <cturner>
Status: RESOLVED FIXED    
Severity: Normal CC: bugs-noreply, calvaris, commit-queue, eric.carlson, jeremyj-wk, pnormand
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=125715
Attachments:
Description Flags
Patch
none
Patch
none
Patch for landing none

Description Charlie Turner 2019-07-09 05:49:33 PDT
[GStreamer] Skip http/tests/media/hls/hls-video-resize.html
Comment 1 Charlie Turner 2019-07-09 06:25:49 PDT
Created attachment 373711 [details]
Patch
Comment 2 Charlie Turner 2019-07-09 06:27:11 PDT
CC Jeremy, perhaps as the original test author they have points to add, but it seems like an Apple specific test from my investigation.
Comment 3 Xabier Rodríguez Calvar 2019-07-09 06:30:14 PDT
Comment on attachment 373711 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373711&action=review

> LayoutTests/ChangeLog:13
> +        However, there is a provision mentioned implicity that the UA can

implicitly?
Comment 4 Charlie Turner 2019-07-09 07:02:20 PDT
Created attachment 373712 [details]
Patch

Fix spelling error and give it 24hr to see if Jeremy has anything further to add
Comment 5 Eric Carlson 2019-07-09 10:07:55 PDT
Comment on attachment 373712 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373712&action=review

> LayoutTests/ChangeLog:17
> +        Generally speaking, the HTML spec says that HAVE_METADATA => video
> +        dimensions are available. Only when the state is < HAVE_METADATA
> +        is it specified that "If the element's readyState attribute is
> +        HAVE_NOTHING, then the [width, height] attributes must return 0."
> +
> +        However, there is a provision mentioned implicitly that the UA can
> +        be in HAVE_METADATA and have received no video data. "When no
> +        video data is available (the element's readyState attribute is
> +        either HAVE_NOTHING, or HAVE_METADATA but no video data has yet
> +        been obtained at all..."

It seems like it would be worth having the spec updated to get rid of the ambiguity, can you please file a spec bug?
Comment 6 Eric Carlson 2019-07-09 10:08:21 PDT
(In reply to Charlie Turner from comment #4)
> Created attachment 373712 [details]
> Patch
> 
> Fix spelling error and give it 24hr to see if Jeremy has anything further to
> add

Jeremy is not longer actively contributing to WebKit
Comment 7 Charlie Turner 2019-07-10 02:14:46 PDT
(In reply to Eric Carlson from comment #5)
> Comment on attachment 373712 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=373712&action=review
> 
> > LayoutTests/ChangeLog:17
> > +        Generally speaking, the HTML spec says that HAVE_METADATA => video
> > +        dimensions are available. Only when the state is < HAVE_METADATA
> > +        is it specified that "If the element's readyState attribute is
> > +        HAVE_NOTHING, then the [width, height] attributes must return 0."
> > +
> > +        However, there is a provision mentioned implicitly that the UA can
> > +        be in HAVE_METADATA and have received no video data. "When no
> > +        video data is available (the element's readyState attribute is
> > +        either HAVE_NOTHING, or HAVE_METADATA but no video data has yet
> > +        been obtained at all..."
> 
> It seems like it would be worth having the spec updated to get rid of the
> ambiguity, can you please file a spec bug?

Sure, I filed https://github.com/whatwg/html/issues/4761
I will update here when I find out more about this.
Comment 8 Philippe Normand 2019-07-23 09:41:27 PDT
So this can land then?
Comment 9 Charlie Turner 2019-10-22 14:08:44 PDT
Created attachment 381598 [details]
Patch for landing
Comment 10 Charlie Turner 2019-10-22 14:09:17 PDT
No movement on the spec bug, skipping in the absense of input from them.
Comment 11 WebKit Commit Bot 2019-10-22 15:34:48 PDT
Comment on attachment 381598 [details]
Patch for landing

Clearing flags on attachment: 381598

Committed r251462: <https://trac.webkit.org/changeset/251462>
Comment 12 WebKit Commit Bot 2019-10-22 15:34:50 PDT
All reviewed patches have been landed.  Closing bug.